public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyjwt/
Date: Wed,  5 Jul 2017 15:08:20 +0000 (UTC)	[thread overview]
Message-ID: <1499267286.dcedf8f1a4569f2f1c950e327e6e155aa083bccc.mrueg@gentoo> (raw)

commit:     dcedf8f1a4569f2f1c950e327e6e155aa083bccc
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  5 15:07:35 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Jul  5 15:08:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dcedf8f1

dev-python/pyjwt: Version bump to 1.5.2

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-python/pyjwt/Manifest           |  1 +
 dev-python/pyjwt/pyjwt-1.5.2.ebuild | 50 +++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/pyjwt/Manifest b/dev-python/pyjwt/Manifest
index 0a879668525..15bf24d3443 100644
--- a/dev-python/pyjwt/Manifest
+++ b/dev-python/pyjwt/Manifest
@@ -1,2 +1,3 @@
 DIST PyJWT-1.4.0.tar.gz 34613 SHA256 e1b2386cfad541445b1d43e480b02ca37ec57259fd1a23e79415b57ba5d8a694 SHA512 1664864c0566dbeb1e35c977d30e746c844605e1ce90becda8771c4ff8a8dbad911075f5a41f445d405552b2d61bbb1e86011564027f68c6c4fcd332cf704ff1 WHIRLPOOL 4ebd7291b9a9676559703794acdaf0dd2bd1033dd649ef8068bca85fa7ef6ab444e834910fa78b16c15cf324dd4a470d9b40ecdccdb5fdaca7568ab096dc9a8e
 DIST PyJWT-1.5.0.tar.gz 34841 SHA256 fd182b728d13f04c289d9b2623d09256d356c9b4a6778018001454a954d7c54b SHA512 6a811933fc167a5b79a8e0c3cd95154f80e115d50795b4b4593abd95922ff330649b9f6cd8698191c3fb35b27b1b6870702c835eec28306b5349ef8d8d836d04 WHIRLPOOL 1d8a89929ee1e2642fe25054bc15aeaad13eecd283960477f793ad4185b7789c1163f80e6c36597a6593f50cdf9917473c099a706a56423f2d25dee45ab2806a
+DIST PyJWT-1.5.2.tar.gz 72715 SHA256 1179f0bff86463b5308ee5f7aff1c350e1f38139d62a723e16fb2c557d1c795f SHA512 8b9b4e5c96e09a1ec4b2e01aa4b81da217d239dc85eafa6634e6371c9ab19c7a95eabbbb98fd92e02ca7921e6fce771596724dcb44f13be93c9e20f09bbf2192 WHIRLPOOL 5797a2c70ceaa1a7092dec33fc74094453891ca40898da66aac3c28f712ee6560596b6b4b6e80bec699c185c67e566d50239c49a28473c924e74bc85d8a3eca1

diff --git a/dev-python/pyjwt/pyjwt-1.5.2.ebuild b/dev-python/pyjwt/pyjwt-1.5.2.ebuild
new file mode 100644
index 00000000000..b10a65d7c1f
--- /dev/null
+++ b/dev-python/pyjwt/pyjwt-1.5.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} pypy )
+
+inherit distutils-r1 eutils
+
+MY_PN="PyJWT"
+
+DESCRIPTION="JSON Web Token implementation in Python"
+HOMEPAGE="https://github.com/progrium/pyjwt https://pypi.python.org/pypi/PyJWT/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/pytest-runner[${PYTHON_USEDEP}]
+	test? (
+		dev-python/cryptography[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-cov[${PYTHON_USEDEP}]
+	)"
+
+S="${WORKDIR}"/${MY_PN}-${PV}
+
+python_prepare_all() {
+	find . -name '__pycache__' -prune -exec rm -rf {} \; || die "Cleaning __pycache__ failed"
+	find . -name '*.pyc' -exec rm -f {} \; || die "Cleaing *.pyc failed"
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	esetup.py test
+}
+
+pkg_postinst() {
+	elog "Available optional features:"
+	optfeature "cryptography" dev-python/cryptography
+	optfeature "flake8" dev-python/flake8
+
+	ewarn "flake8 feature requires 'flake8-import-order' and 'pep8-naming', which are not in portage yet"
+}


             reply	other threads:[~2017-07-05 15:08 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-05 15:08 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-14 13:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyjwt/ Michał Górny
2024-12-14 11:49 Sam James
2024-11-18  5:25 Michał Górny
2024-09-25 13:07 WANG Xuerui
2024-08-17  7:35 Michał Górny
2024-08-17  7:28 Michał Górny
2024-08-02  4:50 Michał Górny
2024-05-18  7:47 Michał Górny
2023-08-19 18:19 Michał Górny
2023-08-19 17:53 Arthur Zamarin
2023-07-19  6:57 Michał Górny
2023-07-05  8:14 Michał Górny
2023-07-05  8:01 Arthur Zamarin
2023-05-31 16:49 Sam James
2023-05-10  3:00 Michał Górny
2023-03-25 17:19 Michał Górny
2022-11-25 14:04 Michał Górny
2022-11-25 13:56 Arthur Zamarin
2022-10-22 15:58 Michał Górny
2022-10-22 15:52 Arthur Zamarin
2022-10-21  5:14 Michał Górny
2022-09-22 12:15 Michał Górny
2022-06-07  9:38 Jakov Smolić
2022-05-13  7:17 Jakov Smolić
2022-05-13  6:15 Michał Górny
2021-11-13  9:51 Michał Górny
2021-11-13  9:26 Arthur Zamarin
2021-10-16 19:34 Michał Górny
2021-10-07  7:21 Michał Górny
2021-09-02 13:27 Marek Szuba
2021-06-05 21:18 Michał Górny
2021-06-05 20:35 Sam James
2021-05-18 16:02 Michał Górny
2021-04-29  7:28 Michał Górny
2021-02-19  2:57 Sam James
2021-01-26 18:59 Michał Górny
2021-01-25 14:06 Sam James
2021-01-25  8:50 Michał Górny
2021-01-18  9:09 Michał Górny
2020-12-22 20:06 Michał Górny
2020-12-22 20:06 Michał Górny
2020-09-20 12:58 Sam James
2020-09-20 12:49 Michał Górny
2020-08-19 19:37 Sam James
2020-07-14 16:58 Sergei Trofimovich
2020-07-05  8:38 Sergei Trofimovich
2020-05-28 19:39 Michał Górny
2020-03-18 18:26 Michał Górny
2020-03-18 11:04 Agostino Sarubbo
2020-03-17 16:01 Agostino Sarubbo
2020-03-16 12:00 Michał Górny
2020-02-25  0:25 Georgy Yakovlev
2019-06-25 12:09 Michael Haubenwallner
2019-06-25  9:05 Michael Haubenwallner
2018-07-18 12:54 Michał Górny
2018-07-18 12:54 Michał Górny
2018-01-05 23:19 Michał Górny
2017-09-10  2:17 Tim Harder
2017-09-04 19:04 Aaron Bauman
2017-09-04 19:04 Aaron Bauman
2017-08-12  4:44 Tim Harder
2017-05-04 17:56 Manuel Rüger
2017-05-02 19:15 Michał Górny
2017-05-02 17:25 Manuel Rüger
2017-01-19 10:59 Agostino Sarubbo
2017-01-18 16:52 Agostino Sarubbo
2016-02-28  7:25 Matt Thode
2016-02-09  9:33 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1499267286.dcedf8f1a4569f2f1c950e327e6e155aa083bccc.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox